/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DialogRef } from './models/dialog-ref';
import { DialogActionsComponent } from './dialog-actions.component';
import { DialogTitleBarComponent } from './dialog-titlebar.component';
import * as i0 from "@angular/core";
/**
 * The base class  which will be extended by a component that is provided as content through `content`
 * ([see example](slug:service_dialog#toc-single-component-rendering)).
 */
export declare class DialogContentBase {
    dialog: DialogRef;
    /**
     * @hidden
     */
    dialogTitleBar: DialogTitleBarComponent;
    /**
     * @hidden
     */
    dialogActions: DialogActionsComponent;
    constructor(dialog: DialogRef);
    /**
     * @hidden
     */
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogContentBase, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DialogContentBase, never, never, {}, {}, never, never, false, never>;
}
